## org.firebirdsql.jdbc.field
Class FBLongVarCharField

    java.lang.Object
      org.firebirdsql.jdbc.field.FBField
          org.firebirdsql.jdbc.field.FBStringField
              org.firebirdsql.jdbc.field.FBLongVarCharField

All Implemented Interfaces:
  FBFlushableField

Direct Known Subclasses:
  FBCachedLongVarCharField

    public class FBLongVarCharField

extends FBStringField
implements FBFlushableField

This is Blob-based implementation of `FBStringField`. It should be used for fields declared in database as `BLOB SUB_TYPE 1`. This implementation provides all conversion routines `FBStringField` has.

Version:
  1.0
Author:
  Roman Rokytskyy

Field Summary

Fields inherited from class org.firebirdsql.jdbc.field.FBField
`field, gdsHelper, iscEncoding, javaEncoding, mappingPath, numCol, requiredType, scale`

Method Summary
`void` `close()` Close this field.
`void` `flushCachedData()` Flush cached data to the database server.
`InputStream` `getBinaryStream()`
`Blob` `getBlob()`
`byte[]` `getBytes()`
`byte[]` `getCachedObject()` Get cached object.
`String` `getString()`
`void` `setBinaryStream(InputStream in, int length)`
`void` `setBlob(FBBlob blob)`
`void` `setBytes(byte[] value)`
`void` `setCharacterStream(Reader in, int length)`
`void` `setString(String value)`

Methods inherited from class org.firebirdsql.jdbc.field.FBStringField
`getAsciiStream, getBigDecimal, getBoolean, getByte, getDate, getDate, getDouble, getFloat, getInt, getLong, getShort, getTime, getTime, getTimestamp, getTimestamp, getUnicodeStream, setAsciiStream, setBigDecimal, setBoolean, setByte, setDate, setDate, setDouble, setFloat, setInteger, setLong, setShort, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream`

Methods inherited from class org.firebirdsql.jdbc.field.FBField
`createField, getAlias, getArray, getBigDecimal, getCharacterStream, getClob, getFieldData, getName, getObject, getObject, getRef, getRelationName, isCompatible, isInvertTimeZone, isNull, isType, setConnection, setFieldData, setNull, setObject, setRequiredType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### close

    public void close()
               throws SQLException

  Description copied from class: `FBField`
  Close this field. This method tells field implementation to release all resources allocated when field methods were called.

  Overrides:
    `close` in class `FBField`
  Throws:
    `SQLException` - if field cannot be closed.

### getBlob

    public Blob getBlob()
                 throws SQLException

  Overrides:
    `getBlob` in class `FBField`
  Throws:
    `SQLException`

### getBinaryStream

    public InputStream getBinaryStream()
                                throws SQLException

  Overrides:
    `getBinaryStream` in class `FBStringField`
  Throws:
    `SQLException`

### getBytes

    public byte[] getBytes()
                    throws SQLException

  Overrides:
    `getBytes` in class `FBStringField`
  Throws:
    `SQLException`

### getCachedObject

    public byte[] getCachedObject()
                           throws SQLException

  Description copied from interface: `FBFlushableField`
  Get cached object.

  Specified by:
    `getCachedObject` in interface `FBFlushableField`
  Returns:
    cached object of this field.
  Throws:
    `SQLException` - if something went wrong.

### getString

    public String getString()
                     throws SQLException

  Overrides:
    `getString` in class `FBStringField`
  Throws:
    `SQLException`

### setBlob

    public void setBlob(FBBlob blob)
                 throws SQLException

  Overrides:
    `setBlob` in class `FBField`
  Throws:
    `SQLException`

### setCharacterStream

    public void setCharacterStream(Reader in,
                                   int length)
                            throws SQLException

  Overrides:
    `setCharacterStream` in class `FBStringField`
  Throws:
    `SQLException`

### setString

    public void setString(String value)
                   throws SQLException

  Overrides:
    `setString` in class `FBStringField`
  Throws:
    `SQLException`

### setBytes

    public void setBytes(byte[] value)
                  throws SQLException

  Overrides:
    `setBytes` in class `FBStringField`
  Throws:
    `SQLException`

### setBinaryStream

    public void setBinaryStream(InputStream in,
                                int length)
                         throws SQLException

  Overrides:
    `setBinaryStream` in class `FBStringField`
  Throws:
    `SQLException`

### flushCachedData

    public void flushCachedData()
                         throws SQLException

  Description copied from interface: `FBFlushableField`
  Flush cached data to the database server.

  Specified by:
    `flushCachedData` in interface `FBFlushableField`
  Throws:
    `SQLException` - if something went wrong.

Copyright © 2001-2010. All Rights Reserved.